/people

Search for people.

🚧

Trash Stage

By default, this endpoint does not return People in the Trash stage. Set the includeTrash flag to true to include people that are in this stage.

📘

Available Response Fields

When making a GET request to /v1/people, not all available fields are included in the response by default. Use the fields argument to request exactly the fields you need.

You can use "allFields" in fields during development while you are unsure of what you need, but as this may return very large responses it is recommended to update this to specify exactly the fields you need for your production deployments to minimize the payload.

📘

Including Relationships

You do not need to perform separate calls to /v1/peopleRelationships to gather those associations. Include "relationships" in the fields query parameter to include relationship information.

📘

Determining Lead Type

If you are trying to determine the lead type, such as "Buyer" or "Seller", this can be done by looking at the returned tags. If the lead is a "Seller" type, there will be a "Seller" tag initially set when the lead is created, otherwise the lead is a "Buyer".

📘

Custom Fields

If the account has custom fields defined, you can also filter on these when searching for a person. You can use the customFields endpoint to see which custom fields are available in the current account.

When querying for date Custom Fields, you can use the following syntax:

,YYYY-MM-DD means less than or equal to the date.

YYYY-MM-DD means greater than or equal to the date.

YYYY-MM-DD,YYYY-MM-DD means date inclusive.

Other People Response Fields

KeyDescription
createdViaThis value indicates how this person was created. Possible values include "API", "Email Parsing", "Historic Email Parsing", "Import", and "Manually".
Query Params
string

The ID(s) of a person or people. (e.g., "123,456")

string
Defaults to created

The sort order, can be one of the following: id, created, updated, name, firstName, lastName, price, stage, lastActivity, lastCommunication, lastReceivedEmail, lastSentEmail, lastEmail, emailsReceived, emailsSent, lastIncomingCall, lastOutgoingCall, lastCall, firstCall, callsIncoming, callsOutgoing, callsDuration, lastReceivedText, lastSentText, lastText, lastLeadActivity, lastEmEventActivity, lastIdxVisit, textsReceived, textsSent, propertiesViewed, propertiesSaved, pagesViewed or nextTask.

Custom Fields (e.g. customClosePrice) can also be used in sorting.

int32
Defaults to 10

Number of results to return. Max 100.

int32
Defaults to 0

Specifies the number of rows to skip, before starting to return results.

string

Comma separated list of fields to return or use allFields to return all fields. (e.g., firstName,lastName,timeframeId,timeframeUpdated,timeframeStatus,customFieldName). Note: All custom fields should be prefixed with custom (i.e. customBirthday, customField).

Special values include allCustom (returns all custom fields) and allFields (returns all fields, including custom fields).

When using the fields parameter to filter the response, the id field will be included (even when not specified explicitly).

string

Search for last activity after a given time. (e.g., "2016-11-23 01:02:03")

string

Search for last activity before a given time. (e.g., "2016-11-23 01:02:03")

string

Search for person with a name like what is given. (e.g., If you search for "drew", it might return a contact like "Andrew".)

string

Search for person with a first name like what is given. (e.g., If you search for "drew", it might return a contact like "Andrew".)

string

Search for person with a last name like what is given. (e.g., If you search for "drew", it might return a contact like "Andrew".)

string

Search for a person by email address.

string

Search for a person by phone number.

string

Search for person by stage name. (e.g., "Lead" or "Trash". See stages API endpoint for available stages.)

string

Search for a person by lead source.

string

Search for a person by the user that is assigned to them. (e.g., Passing "William Riker" would return any person assigned to them.)

int32

Search for people by the assigned user ID.

int32

Search for a person by the assigned pond id.

string

Search for people by the assigned lender name.

int32

Search for people by the assigned lender user ID.

boolean

Search for people by whether or not they have been contacted.

int32

Search for people who have specified a price above a given value.

int32

Search for people who have specified a price below a given value.

int32

Search for people that match a smart list with given ID.

boolean
Defaults to false

Set whether to include people in the "trash" stage. (By default responses from /people will not include any people with a "trash" stage.)

boolean
Defaults to false

Set to include unclaimed leads offered to the current user.

string

Search for people that match one or more tags. (e.g., "Foo,Bar" will match contacts with tags that include Foo OR Bar.)

string

You can include any of your Custom Fields in the request, these must be prefixed with "custom". For example, if you have a Closing Date custom field, the JSON key for that field will be customClosingDate. See Custom Fields for more about Custom Fields.

Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json